From c1aa2ffff9c3304ef7f35a3800d1f260a9d18d6b Mon Sep 17 00:00:00 2001
From: David Lehman <dlehman@redhat.com>
Date: Wed, 6 Feb 2013 14:17:08 -0600
Subject: [PATCH 6/7] Use the blivet domain for translations.

---
 blivet/__init__.py          | 2 +-
 blivet/dasd.py              | 4 ++--
 blivet/deviceaction.py      | 2 +-
 blivet/devicefactory.py     | 2 +-
 blivet/devicelibs/btrfs.py  | 2 +-
 blivet/devicelibs/crypto.py | 2 +-
 blivet/devicelibs/dm.py     | 2 +-
 blivet/devicelibs/loop.py   | 2 +-
 blivet/devicelibs/lvm.py    | 2 +-
 blivet/devicelibs/mdraid.py | 2 +-
 blivet/devicelibs/swap.py   | 2 +-
 blivet/devices.py           | 4 ++--
 blivet/devicetree.py        | 4 ++--
 blivet/fcoe.py              | 2 +-
 blivet/formats/__init__.py  | 2 +-
 blivet/formats/disklabel.py | 2 +-
 blivet/formats/dmraid.py    | 2 +-
 blivet/formats/fs.py        | 2 +-
 blivet/formats/luks.py      | 2 +-
 blivet/formats/lvmpv.py     | 2 +-
 blivet/formats/mdraid.py    | 2 +-
 blivet/formats/multipath.py | 2 +-
 blivet/formats/swap.py      | 2 +-
 blivet/iscsi.py             | 2 +-
 blivet/partitioning.py      | 4 ++--
 blivet/platform.py          | 2 +-
 blivet/size.py              | 4 ++--
 blivet/zfcp.py              | 2 +-
 28 files changed, 33 insertions(+), 33 deletions(-)

diff --git a/blivet/__init__.py b/blivet/__init__.py
index 6cd6a1d..8f4422e 100644
--- a/blivet/__init__.py
+++ b/blivet/__init__.py
@@ -73,7 +73,7 @@ import shelve
 import contextlib
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/dasd.py b/blivet/dasd.py
index da76e22..e474bc0 100644
--- a/blivet/dasd.py
+++ b/blivet/dasd.py
@@ -32,8 +32,8 @@ import logging
 log = logging.getLogger("storage")
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
-P_ = lambda x, y, z: gettext.ldngettext("anaconda", x, y, z)
+_ = lambda x: gettext.ldgettext("blivet", x)
+P_ = lambda x, y, z: gettext.ldngettext("blivet", x, y, z)
 
 def getDasdPorts():
     """ Return comma delimited string of valid DASD ports. """
diff --git a/blivet/deviceaction.py b/blivet/deviceaction.py
index c8f96f2..bd61156 100644
--- a/blivet/deviceaction.py
+++ b/blivet/deviceaction.py
@@ -32,7 +32,7 @@ from errors import *
 from parted import partitionFlag, PARTITION_LBA
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devicefactory.py b/blivet/devicefactory.py
index d97d2b6..a0be786 100644
--- a/blivet/devicefactory.py
+++ b/blivet/devicefactory.py
@@ -32,7 +32,7 @@ from .partitioning import TotalSizeSet
 from .partitioning import doPartitioning
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devicelibs/btrfs.py b/blivet/devicelibs/btrfs.py
index a6b69e3..08620de 100644
--- a/blivet/devicelibs/btrfs.py
+++ b/blivet/devicelibs/btrfs.py
@@ -27,7 +27,7 @@ from .. import util
 from ..errors import *
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devicelibs/crypto.py b/blivet/devicelibs/crypto.py
index 2a41cdd..bdb6645 100644
--- a/blivet/devicelibs/crypto.py
+++ b/blivet/devicelibs/crypto.py
@@ -26,7 +26,7 @@ from pycryptsetup import CryptSetup
 from ..errors import *
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 LUKS_METADATA_SIZE = 2.0    # MB
 
diff --git a/blivet/devicelibs/dm.py b/blivet/devicelibs/dm.py
index e7adfec..f8ef9b3 100644
--- a/blivet/devicelibs/dm.py
+++ b/blivet/devicelibs/dm.py
@@ -27,7 +27,7 @@ from .. import util
 from ..errors import *
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devicelibs/loop.py b/blivet/devicelibs/loop.py
index 8a4750c..9696552 100644
--- a/blivet/devicelibs/loop.py
+++ b/blivet/devicelibs/loop.py
@@ -26,7 +26,7 @@ from .. import util
 from ..errors import *
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devicelibs/lvm.py b/blivet/devicelibs/lvm.py
index cfcc4fb..bf289f9 100644
--- a/blivet/devicelibs/lvm.py
+++ b/blivet/devicelibs/lvm.py
@@ -32,7 +32,7 @@ from .. import arch
 from ..errors import *
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 MAX_LV_SLOTS = 256
 
diff --git a/blivet/devicelibs/mdraid.py b/blivet/devicelibs/mdraid.py
index 0c26056..f238b31 100644
--- a/blivet/devicelibs/mdraid.py
+++ b/blivet/devicelibs/mdraid.py
@@ -26,7 +26,7 @@ from .. import util
 from ..errors import *
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devicelibs/swap.py b/blivet/devicelibs/swap.py
index 4c9490a..1ddb2e3 100644
--- a/blivet/devicelibs/swap.py
+++ b/blivet/devicelibs/swap.py
@@ -28,7 +28,7 @@ from .. import util
 from . import dm
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devices.py b/blivet/devices.py
index 28a5a92..7e03fbc 100644
--- a/blivet/devices.py
+++ b/blivet/devices.py
@@ -119,8 +119,8 @@ from udev import *
 from formats import get_device_format_class, getFormat, DeviceFormat
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
-P_ = lambda x, y, z: gettext.ldngettext("anaconda", x, y, z)
+_ = lambda x: gettext.ldgettext("blivet", x)
+P_ = lambda x, y, z: gettext.ldngettext("blivet", x, y, z)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/devicetree.py b/blivet/devicetree.py
index 9e29e7b..3559a56 100644
--- a/blivet/devicetree.py
+++ b/blivet/devicetree.py
@@ -1,7 +1,7 @@
 # devicetree.py
 # Device management for anaconda's storage configuration module.
 #
-# Copyright (C) 2009, 2010, 2011  Red Hat, Inc.
+# Copyright (C) 2009, 2010, 2011, 2012, 2013  Red Hat, Inc.
 #
 # This copyrighted material is made available to anyone wishing to use,
 # modify, copy, or redistribute it subject to the terms and conditions of
@@ -49,7 +49,7 @@ import parted
 import _ped
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/fcoe.py b/blivet/fcoe.py
index 8e8e301..0d67779 100644
--- a/blivet/fcoe.py
+++ b/blivet/fcoe.py
@@ -27,7 +27,7 @@ import time
 log = logging.getLogger("storage")
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 _fcoe_module_loaded = False
 
diff --git a/blivet/formats/__init__.py b/blivet/formats/__init__.py
index 62122fb..04b8187 100644
--- a/blivet/formats/__init__.py
+++ b/blivet/formats/__init__.py
@@ -33,7 +33,7 @@ from ..devicelibs.mdraid import md_node_from_name
 from ..udev import udev_device_get_major, udev_device_get_minor
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/formats/disklabel.py b/blivet/formats/disklabel.py
index 32e995d..2bab83b 100644
--- a/blivet/formats/disklabel.py
+++ b/blivet/formats/disklabel.py
@@ -33,7 +33,7 @@ from ..udev import udev_settle
 from . import DeviceFormat, register_device_format
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/formats/dmraid.py b/blivet/formats/dmraid.py
index f37b2d3..5836c26 100644
--- a/blivet/formats/dmraid.py
+++ b/blivet/formats/dmraid.py
@@ -26,7 +26,7 @@ from ..errors import *
 from . import DeviceFormat, register_device_format
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/formats/fs.py b/blivet/formats/fs.py
index b472e87..81a00e9 100644
--- a/blivet/formats/fs.py
+++ b/blivet/formats/fs.py
@@ -44,7 +44,7 @@ import logging
 log = logging.getLogger("storage")
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 try:
     lost_and_found_context = selinux.matchpathcon("/lost+found", 0)[1]
diff --git a/blivet/formats/luks.py b/blivet/formats/luks.py
index 4b37cb4..d91a76d 100644
--- a/blivet/formats/luks.py
+++ b/blivet/formats/luks.py
@@ -35,7 +35,7 @@ from ..devicelibs import crypto
 from . import DeviceFormat, register_device_format
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/formats/lvmpv.py b/blivet/formats/lvmpv.py
index d804711..c7cf795 100644
--- a/blivet/formats/lvmpv.py
+++ b/blivet/formats/lvmpv.py
@@ -29,7 +29,7 @@ from ..devicelibs import lvm
 from . import DeviceFormat, register_device_format
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/formats/mdraid.py b/blivet/formats/mdraid.py
index 9d1e26e..5c70764 100644
--- a/blivet/formats/mdraid.py
+++ b/blivet/formats/mdraid.py
@@ -30,7 +30,7 @@ from . import DeviceFormat, register_device_format
 from ..flags import flags
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/formats/multipath.py b/blivet/formats/multipath.py
index 01d69ee..cf3e3eb 100644
--- a/blivet/formats/multipath.py
+++ b/blivet/formats/multipath.py
@@ -29,7 +29,7 @@ from ..errors import *
 from . import DeviceFormat, register_device_format
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/formats/swap.py b/blivet/formats/swap.py
index 903fe6e..dd3d375 100644
--- a/blivet/formats/swap.py
+++ b/blivet/formats/swap.py
@@ -28,7 +28,7 @@ from ..devicelibs import swap
 from . import DeviceFormat, register_device_format
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/iscsi.py b/blivet/iscsi.py
index 8b7cbf8..9f07e08 100644
--- a/blivet/iscsi.py
+++ b/blivet/iscsi.py
@@ -32,7 +32,7 @@ import itertools
 log = logging.getLogger("storage")
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 has_libiscsi = True
 try:
diff --git a/blivet/partitioning.py b/blivet/partitioning.py
index 5a30822..659accf 100644
--- a/blivet/partitioning.py
+++ b/blivet/partitioning.py
@@ -1,7 +1,7 @@
 # partitioning.py
 # Disk partitioning functions.
 #
-# Copyright (C) 2009  Red Hat, Inc.
+# Copyright (C) 2009, 2010, 2011, 2012  Red Hat, Inc.
 #
 # This copyrighted material is made available to anyone wishing to use,
 # modify, copy, or redistribute it subject to the terms and conditions of
@@ -33,7 +33,7 @@ from devices import PartitionDevice, LUKSDevice, devicePathToName
 from formats import getFormat
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
diff --git a/blivet/platform.py b/blivet/platform.py
index 5221a30..b99392d 100644
--- a/blivet/platform.py
+++ b/blivet/platform.py
@@ -30,7 +30,7 @@ from .flags import flags
 from .partspec import PartSpec
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 N_ = lambda x: x
 
 class Platform(object):
diff --git a/blivet/size.py b/blivet/size.py
index 0081d52..34f75b5 100644
--- a/blivet/size.py
+++ b/blivet/size.py
@@ -27,8 +27,8 @@ from decimal import InvalidOperation
 from errors import *
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
-P_ = lambda x, y, z: gettext.ldngettext("anaconda", x, y, z)
+_ = lambda x: gettext.ldgettext("blivet", x)
+P_ = lambda x, y, z: gettext.ldngettext("blivet", x, y, z)
 
 # Decimal prefixes for different size increments, along with the name
 # and accepted abbreviation for the prefix.  These prefixes are all
diff --git a/blivet/zfcp.py b/blivet/zfcp.py
index 23be6cd..c4ea90b 100644
--- a/blivet/zfcp.py
+++ b/blivet/zfcp.py
@@ -26,7 +26,7 @@ from udev import udev_settle
 from . import util
 
 import gettext
-_ = lambda x: gettext.ldgettext("anaconda", x)
+_ = lambda x: gettext.ldgettext("blivet", x)
 
 import logging
 log = logging.getLogger("storage")
-- 
1.8.1

